Geeks With Blogs
Dan K Blog Grocery Geek

awwwww sheeeitttt!  I bought Medievil Resurrection Friday night, go to play it, and I get "To Start, you must update the system software." I jump out to google, and they say you have to do a firmware upgrade to run newer games, what losers.  Ok, I also read there are firmware updates on the UMDs of any game that requires it, and I see the update is 1.5 --> 1.52, so I figure ok, as long as it's not 2.0, the hackware breaker, right, run the update, all my hackwares are DEAD.  Sons of Bitches!  The game's kinda funny and a light, silly game, it's pretty cool.  but no more PSPKick for me, dammit! 

The game is cool, but man, if I knew, I wouldn't have gotten it.  I hope no one buys any games until Sony wakes up.  What's going on over there, did Lars Ulrich buy Sony or something?  The homebrew market will bring twice as many people over to the PSPside.  They're not losing that much $$$ on homebrews and cracks, but they *are* losing customers, if this keeps up, look for my PSP up on eBay!  

Posted on Monday, October 17, 2005 5:23 AM | Back to top


Comments on this post: Sony Sucks!

# re: Sony Sucks!
Requesting Gravatar...
Dan,

You can sort the problem out, all you need is to update to 2.0 (not 2.01/2.5) then use the downgrader to go back to 1.50. After you are here use the WAB Version Changer to make your PSP think it's version 1.52 and away you go, all your games will work, so will all the homebrew stuff.

Hope that helps

Ashleigh
Left by Ashleigh on Oct 17, 2005 8:10 AM

Your comment:
 (will show your gravatar)
 


Copyright © Dan K | Powered by: GeeksWithBlogs.net | Join free